Address Verify
Verify the residential address of a person in Nigeria using the electric meter number and the electricity distribution company (DisCo) that serves the address.
Endpoint
POST /kyc/nga/addressAuthentication
API Key
Header
x-api-key
Request body
Content-Type: application/json
Parameters
meter_number
string
Yes
Number of the electric meter associated with the address.
address
string
Yes
Address to verify.
disco_code
string
Yes
Code of the electricity distribution company (DisCo) that serves the address. E.g.: IKEJA. See the full list of values below.
List of accepted DisCo codes (49 values):
Request example
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code
serviceTime
string
Processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception in the module.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
data
object
Object with the result of the address verification. See table below.
Response parameters — data
Note: the object data is returned without field mapping or normalization.
verified
boolean
Indicates whether the address was verified against the records of the electricity distribution company.
confidence_level
number
Confidence level of the match, from 0 to 100.
disco_code
string
Code of the queried electricity distribution company.
house_address
string
Address registered with the electricity distribution company.
house_owner
string
Name of the holder registered with the electricity distribution company.
Service Result Code
The serviceResultCode indicates the overall result of the service execution and reflects the HTTP status code of the response:
200
The service execution was successful, the module processed the request correctly.
200
Response example
400 Bad Request
Error returned with the service envelope (serviceResultCode reflects the HTTP response code):
502 Bad Gateway
Returned when the service is temporarily unavailable or its response could not be interpreted. The body uses the service envelope with serviceResultCode: 500:
504 Gateway Timeout
Timeout error, returned with the service envelope:
Last updated